OpenVDB 7.0.0

Public Member Functions | Public Attributes | List of all members
Morphology< TreeType >::CopyMasks Struct Reference

`#include <Morphology.h>`

## Public Member Functions
| CopyMasks (std::vector< MaskType > &masks, const ManagerType &manager)
void | copy ()
void | operator() (const tbb::blocked_range< size_t > &r) const

## Public Attributes
std::vector< MaskType > & | mMasks
const ManagerType & | mManager

## Constructor & Destructor Documentation

## ◆ CopyMasks()

CopyMasks | ( | std::vector< MaskType > & | masks,
|  | const ManagerType & | manager
| ) |  |
| inline

## Member Function Documentation

## ◆ copy()

void copy | ( |  | ) |
| inline

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | r | ) | const
| inline

## Member Data Documentation

## ◆ mManager

const ManagerType& mManager

## ◆ mMasks

std::vector<MaskType>& mMasks

The documentation for this struct was generated from the following file:

- Morphology.h